if(!Tonyu.load)Tonyu.load=(_,f)=>f();
Tonyu.load({"compiler":{"namespace":"user","defaultSuperClass":"kernel.Actor","dependingProjects":[{"namespace":"kernel"}]},"run":{"mainClass":"user.Main","bootClass":"kernel.Boot","globals":{"$defaultFPS":60,"$imageSmoothingDisabled":true,"$soundLoadAndDecode":false}},"plugins":{"jquery_ui":1},"kernelEditable":false,"language":"tonyu","version":1730103304381}, ()=>{
Tonyu.klass.define({
  fullName: 'user.ArcGauge',
  shortName: 'ArcGauge',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_ArcGauge_main() {
        var _this=this;
        
        while (1) {
          Tonyu.checkLoop();
          _this.update();
          
        }
        ;
        
      },
      fiber$main :function* _trc_ArcGauge_f_main(_thread) {
        var _this=this;
        
        while (1) {
          yield null;
          (yield* _this.fiber$update(_thread));
          
        }
        ;
        
        
      },
      initialize :function _trc_ArcGauge_initialize(o) {
        var _this=this;
        
        __superClass.apply( _this, [o]);
        _this.value=0;
        _this.startAngle=0;
        _this.radius=o.radius||32;
        _this.lineWidth=o.lineWidth||8;
      },
      draw :function _trc_ArcGauge_draw(ctx) {
        var _this=this;
        
        _this.endAngle=_this.value*360;
        ctx.save();
        ctx.strokeStyle="green";
        ctx.lineWidth=6;
        ctx.beginPath();
        ctx.arc(_this.x,_this.y,_this.radius,_this.rad(_this.startAngle),_this.rad(_this.endAngle));
        ctx.stroke();
        ctx.restore();
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}},"new":{"nowait":false,"isMain":false,"vtype":{"params":[null],"returnValue":null}},"draw":{"nowait":true,"isMain":false,"vtype":{"params":[null],"returnValue":null}}},"fields":{"endAngle":{},"startAngle":{}}}
});
Tonyu.klass.define({
  fullName: 'user.FxParticle',
  shortName: 'FxParticle',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_FxParticle_main() {
        var _this=this;
        
        _this.radius=_this.radius?_this.radius:32;
        _this.fillStyle="#fff";
        _this.maxt = _this.t;
        
        _this.vx*=_this.radius/16;
        _this.vy*=_this.radius/16;
        while (_this.t) {
          Tonyu.checkLoop();
          _this.vx*=0.95;
          _this.vy*=0.95;
          _this.x+=_this.vx;
          _this.y+=_this.vy;
          _this.scaleX=2-2/(1+Tonyu.globals.$Math.pow(Tonyu.globals.$Math.E,- 10*(1-_this.t/_this.maxt)));
          _this.t--;
          _this.update();
          
        }
        _this.die();
      },
      fiber$main :function* _trc_FxParticle_f_main(_thread) {
        var _this=this;
        
        _this.radius=_this.radius?_this.radius:32;
        _this.fillStyle="#fff";
        _this.maxt = _this.t;
        
        _this.vx*=_this.radius/16;
        _this.vy*=_this.radius/16;
        while (_this.t) {
          yield null;
          _this.vx*=0.95;
          _this.vy*=0.95;
          _this.x+=_this.vx;
          _this.y+=_this.vy;
          _this.scaleX=2-2/(1+Tonyu.globals.$Math.pow(Tonyu.globals.$Math.E,- 10*(1-_this.t/_this.maxt)));
          _this.t--;
          (yield* _this.fiber$update(_thread));
          
        }
        _this.die();
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}}},"fields":{"maxt":{},"t":{},"vx":{},"vy":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Goal',
  shortName: 'Goal',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Goal_main() {
        var _this=this;
        
        while (1) {
          Tonyu.checkLoop();
          _this.update();
          
        }
      },
      fiber$main :function* _trc_Goal_f_main(_thread) {
        var _this=this;
        
        while (1) {
          yield null;
          (yield* _this.fiber$update(_thread));
          
        }
        
      },
      initialize :function _trc_Goal_initialize(o) {
        var _this=this;
        
        __superClass.apply( _this, [o]);
        _this.fillStyle=new Tonyu.classes.kernel.Color(180,180,255,255);
        _this.zOrder=1;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}},"new":{"nowait":false,"isMain":false,"vtype":{"params":[null],"returnValue":null}}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Main',
  shortName: 'Main',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Main_main() {
        var _this=this;
        
        Tonyu.globals.$Screen.setBGColor("#333");
        Tonyu.globals.$Screen.resize(500,500);
        Tonyu.globals.$Screen.setPivot(150,250);
        Tonyu.globals.$InputDevice.defaultLayer=Tonyu.globals.$mainLayer;
        Tonyu.globals.$sevol=1;
        Tonyu.globals.$bgmvol=0.5;
        Tonyu.globals.$score=0;
        Tonyu.globals.$Utils=new Tonyu.classes.user.Utils();
        Tonyu.globals.$StageUtils=new Tonyu.classes.user.StageUtils();
        Tonyu.globals.$sound.setBGMVolume(Tonyu.globals.$bgmvol*128);
        Tonyu.globals.$sound.playBGM(Tonyu.globals.$bgm_natsunogunzyo,true);
        Tonyu.globals.$StageUtils.newStageList([Tonyu.classes.user.Stage01,Tonyu.classes.user.Stage02,Tonyu.classes.user.Stage03,Tonyu.classes.user.Stage04,Tonyu.classes.user.Stage05,Tonyu.classes.user.Stage06]);
        Tonyu.globals.$StageUtils.moveTo(0);
      },
      fiber$main :function* _trc_Main_f_main(_thread) {
        var _this=this;
        
        Tonyu.globals.$Screen.setBGColor("#333");
        Tonyu.globals.$Screen.resize(500,500);
        Tonyu.globals.$Screen.setPivot(150,250);
        Tonyu.globals.$InputDevice.defaultLayer=Tonyu.globals.$mainLayer;
        Tonyu.globals.$sevol=1;
        Tonyu.globals.$bgmvol=0.5;
        Tonyu.globals.$score=0;
        Tonyu.globals.$Utils=new Tonyu.classes.user.Utils();
        Tonyu.globals.$StageUtils=new Tonyu.classes.user.StageUtils();
        Tonyu.globals.$sound.setBGMVolume(Tonyu.globals.$bgmvol*128);
        Tonyu.globals.$sound.playBGM(Tonyu.globals.$bgm_natsunogunzyo,true);
        Tonyu.globals.$StageUtils.newStageList([Tonyu.classes.user.Stage01,Tonyu.classes.user.Stage02,Tonyu.classes.user.Stage03,Tonyu.classes.user.Stage04,Tonyu.classes.user.Stage05,Tonyu.classes.user.Stage06]);
        Tonyu.globals.$StageUtils.moveTo(0);
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Player',
  shortName: 'Player',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Player_main() {
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_neko+40;
        _this.charge = 0;
        
        _this.maxCharge = 60;
        
        _this.gauge = new Tonyu.classes.user.ArcGauge({x: _this.x,y: _this.y,lifeKeeper: _this});
        
        _this.tz = 0;
        
        _this.z = 0;
        
        _this.vz = 0;
        
        _this.camerax = _this.x;
        
        _this.isGameover = false;
        
        _this.jumpFreq = 440;
        
        _this.chargeFreq = 150;
        
        _this.beep = Tonyu.globals.$sound.beep(0,_this.jumpFreq,0);
        
        _this.mouseZureX = 0;
        
        _this.prevMouseX = Tonyu.globals.$mouseX;
        
        _this.prevMouseY = Tonyu.globals.$mouseY;
        
        _this.isMoveMouse = false;
        
        _this.isGameover=false;
        _this.beep.set({vol: 0});
        _this.on("die",(function anonymous_475() {
          
          _this.beep.die();
        }));
        while (1) {
          Tonyu.checkLoop();
          _this.camerax+=(_this.x-_this.camerax)*0.1;
          Tonyu.globals.$Screen.scrollTo(_this.camerax,250);
          _this.e=_this.crashTo(Tonyu.classes.user.White);
          if (_this.e) {
            break;
            
            
          }
          _this.update();
          
        }
        while (! _this.isGameover) {
          Tonyu.checkLoop();
          if (_this.prevMouseX!=Tonyu.globals.$mouseX||_this.prevMouseY!=Tonyu.globals.$mouseY) {
            _this.isMoveMouse=true;
            _this.mouseZureX=0;
            
          }
          _this.prevMouseX=Tonyu.globals.$mouseX;
          _this.prevMouseY=Tonyu.globals.$mouseY;
          if (Tonyu.globals.$touches[0].touched&&_this.z==0) {
            if (_this.isMoveMouse) {
              _this.tx=Tonyu.globals.$mouseX;
              _this.ty=Tonyu.globals.$mouseY;
              
            } else {
              _this.tx=Tonyu.globals.$mouseX+_this.mouseZureX;
              _this.ty=Tonyu.globals.$mouseY;
              
            }
            _this.tdir=_this.atanxy(_this.tx-_this.x,_this.ty-_this.y);
            _this.rotation=_this.tdir;
            if (_this.charge<_this.maxCharge) {
              _this.charge++;
            }
            _this.beep.set({vol: 128*0.5*Tonyu.globals.$sevol,freq: _this.chargeFreq+_this.chargeFreq*4*(_this.charge/_this.maxCharge)});
            _this.gauge.value=_this.charge/_this.maxCharge;
            _this.gauge.x=_this.x;
            _this.gauge.y=_this.y;
            _this.e=_this.crashTo(Tonyu.classes.user.White);
            if (! _this.e) {
              _this.gameOver();
              
            }
            _this.cameraScroll();
            
          } else {
            if (_this.charge>0) {
              _this.beep.set({vol: 128*0.5*Tonyu.globals.$sevol,freq: _this.jumpFreq+_this.jumpFreq*2*(_this.z/_this.maxCharge)});
              _this.tz=_this.charge;
              _this.charge=0;
              _this.gauge.value=0;
              _this.vz=2;
              
            }
            _this.z+=_this.vz;
            _this.beep.set({freq: _this.jumpFreq+_this.jumpFreq*2*(_this.z/_this.maxCharge)});
            if (_this.z>=_this.tz) {
              _this.vz=- _this.vz;
              
            }
            if (_this.z<=0) {
              if (_this.vz!=0) {
                _this.beep.set({vol: 0});
                _this.vz=0;
                _this.scaleX=1;
                Tonyu.globals.$sound.playSE(Tonyu.globals.$se_hit,128*Tonyu.globals.$sevol);
                
              }
              _this.cameraScroll();
              _this.e=_this.crashTo(Tonyu.classes.user.Goal);
              if (_this.e) {
                _this.nextStage();
                
              } else {
                _this.e=_this.crashTo(Tonyu.classes.user.White);
                if (! _this.e) {
                  _this.gameOver();
                  
                }
                
              }
              
            } else {
              _this.scaleX=1+_this.z*0.04;
              _this.x+=_this.cos(_this.rotation)*4;
              _this.y+=_this.sin(_this.rotation)*4;
              
            }
            
          }
          _this.update();
          
        }
      },
      fiber$main :function* _trc_Player_f_main(_thread) {
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_neko+40;
        _this.charge = 0;
        
        _this.maxCharge = 60;
        
        _this.gauge = new Tonyu.classes.user.ArcGauge({x: _this.x,y: _this.y,lifeKeeper: _this});
        
        _this.tz = 0;
        
        _this.z = 0;
        
        _this.vz = 0;
        
        _this.camerax = _this.x;
        
        _this.isGameover = false;
        
        _this.jumpFreq = 440;
        
        _this.chargeFreq = 150;
        
        _this.beep = Tonyu.globals.$sound.beep(0,_this.jumpFreq,0);
        
        _this.mouseZureX = 0;
        
        _this.prevMouseX = Tonyu.globals.$mouseX;
        
        _this.prevMouseY = Tonyu.globals.$mouseY;
        
        _this.isMoveMouse = false;
        
        _this.isGameover=false;
        _this.beep.set({vol: 0});
        _this.on("die",(function anonymous_475() {
          
          _this.beep.die();
        }));
        while (1) {
          yield null;
          _this.camerax+=(_this.x-_this.camerax)*0.1;
          Tonyu.globals.$Screen.scrollTo(_this.camerax,250);
          _this.e=_this.crashTo(Tonyu.classes.user.White);
          if (_this.e) {
            break;
            
            
          }
          (yield* _this.fiber$update(_thread));
          
        }
        while (! _this.isGameover) {
          yield null;
          if (_this.prevMouseX!=Tonyu.globals.$mouseX||_this.prevMouseY!=Tonyu.globals.$mouseY) {
            _this.isMoveMouse=true;
            _this.mouseZureX=0;
            
          }
          _this.prevMouseX=Tonyu.globals.$mouseX;
          _this.prevMouseY=Tonyu.globals.$mouseY;
          if (Tonyu.globals.$touches[0].touched&&_this.z==0) {
            if (_this.isMoveMouse) {
              _this.tx=Tonyu.globals.$mouseX;
              _this.ty=Tonyu.globals.$mouseY;
              
            } else {
              _this.tx=Tonyu.globals.$mouseX+_this.mouseZureX;
              _this.ty=Tonyu.globals.$mouseY;
              
            }
            _this.tdir=_this.atanxy(_this.tx-_this.x,_this.ty-_this.y);
            _this.rotation=_this.tdir;
            if (_this.charge<_this.maxCharge) {
              _this.charge++;
            }
            _this.beep.set({vol: 128*0.5*Tonyu.globals.$sevol,freq: _this.chargeFreq+_this.chargeFreq*4*(_this.charge/_this.maxCharge)});
            _this.gauge.value=_this.charge/_this.maxCharge;
            _this.gauge.x=_this.x;
            _this.gauge.y=_this.y;
            _this.e=_this.crashTo(Tonyu.classes.user.White);
            if (! _this.e) {
              _this.gameOver();
              
            }
            (yield* _this.fiber$cameraScroll(_thread));
            
          } else {
            if (_this.charge>0) {
              _this.beep.set({vol: 128*0.5*Tonyu.globals.$sevol,freq: _this.jumpFreq+_this.jumpFreq*2*(_this.z/_this.maxCharge)});
              _this.tz=_this.charge;
              _this.charge=0;
              _this.gauge.value=0;
              _this.vz=2;
              
            }
            _this.z+=_this.vz;
            _this.beep.set({freq: _this.jumpFreq+_this.jumpFreq*2*(_this.z/_this.maxCharge)});
            if (_this.z>=_this.tz) {
              _this.vz=- _this.vz;
              
            }
            if (_this.z<=0) {
              if (_this.vz!=0) {
                _this.beep.set({vol: 0});
                _this.vz=0;
                _this.scaleX=1;
                Tonyu.globals.$sound.playSE(Tonyu.globals.$se_hit,128*Tonyu.globals.$sevol);
                
              }
              (yield* _this.fiber$cameraScroll(_thread));
              _this.e=_this.crashTo(Tonyu.classes.user.Goal);
              if (_this.e) {
                _this.nextStage();
                
              } else {
                _this.e=_this.crashTo(Tonyu.classes.user.White);
                if (! _this.e) {
                  _this.gameOver();
                  
                }
                
              }
              
            } else {
              _this.scaleX=1+_this.z*0.04;
              _this.x+=_this.cos(_this.rotation)*4;
              _this.y+=_this.sin(_this.rotation)*4;
              
            }
            
          }
          (yield* _this.fiber$update(_thread));
          
        }
        
      },
      cameraScroll :function _trc_Player_cameraScroll() {
        var _this=this;
        
        _this.camerax+=(_this.x-_this.camerax)*0.1;
        _this.mouseZureX+=(_this.x-_this.camerax)*0.1;
        if (_this.abs((_this.x-_this.camerax)*0.1)>1) {
          _this.isMoveMouse=false;
          
        }
        Tonyu.globals.$Screen.scrollTo(_this.camerax,250);
      },
      fiber$cameraScroll :function* _trc_Player_f_cameraScroll(_thread) {
        var _this=this;
        
        _this.camerax+=(_this.x-_this.camerax)*0.1;
        _this.mouseZureX+=(_this.x-_this.camerax)*0.1;
        if (_this.abs((_this.x-_this.camerax)*0.1)>1) {
          _this.isMoveMouse=false;
          
        }
        Tonyu.globals.$Screen.scrollTo(_this.camerax,250);
        
      },
      chakuchi :function _trc_Player_chakuchi() {
        var _this=this;
        
        _this.z=0;
        _this.vz=0;
        _this.scaleX=1;
        _this.charge=0;
        _this.gauge.value=0;
      },
      fiber$chakuchi :function* _trc_Player_f_chakuchi(_thread) {
        var _this=this;
        
        _this.z=0;
        _this.vz=0;
        _this.scaleX=1;
        _this.charge=0;
        _this.gauge.value=0;
        
      },
      gameOver :function _trc_Player_gameOver() {
        var _this=this;
        
        new Tonyu.classes.user.Zangai({x: _this.x,y: _this.y,scaleX: 0.7,p: Tonyu.globals.$pat_sashimi_maguro_akami,lifeKeeper: _this});
        _this.chakuchi();
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_crash,128*Tonyu.globals.$sevol);
        Tonyu.globals.$StageUtils.gameOver();
      },
      fiber$gameOver :function* _trc_Player_f_gameOver(_thread) {
        var _this=this;
        
        new Tonyu.classes.user.Zangai({x: _this.x,y: _this.y,scaleX: 0.7,p: Tonyu.globals.$pat_sashimi_maguro_akami,lifeKeeper: _this});
        (yield* _this.fiber$chakuchi(_thread));
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_crash,128*Tonyu.globals.$sevol);
        Tonyu.globals.$StageUtils.gameOver();
        
      },
      nextStage :function _trc_Player_nextStage() {
        var _this=this;
        
        Tonyu.globals.$StageUtils.next();
        _this.die();
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_up,128*Tonyu.globals.$sevol);
      },
      fiber$nextStage :function* _trc_Player_f_nextStage(_thread) {
        var _this=this;
        
        Tonyu.globals.$StageUtils.next();
        _this.die();
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_up,128*Tonyu.globals.$sevol);
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}},"cameraScroll":{"nowait":false,"isMain":false,"vtype":{"params":[],"returnValue":null}},"chakuchi":{"nowait":false,"isMain":false,"vtype":{"params":[],"returnValue":null}},"gameOver":{"nowait":false,"isMain":false,"vtype":{"params":[],"returnValue":null}},"nextStage":{"nowait":false,"isMain":false,"vtype":{"params":[],"returnValue":null}}},"fields":{"charge":{},"maxCharge":{},"gauge":{},"tz":{},"z":{},"vz":{},"camerax":{},"isGameover":{},"jumpFreq":{},"chargeFreq":{},"beep":{},"mouseZureX":{},"prevMouseX":{},"prevMouseY":{},"isMoveMouse":{},"e":{},"tx":{},"ty":{},"tdir":{}}}
});
Tonyu.klass.define({
  fullName: 'user.PopText',
  shortName: 'PopText',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_PopText_main() {
        var _this=this;
        
        while (_this.secIx<_this.sections.length) {
          Tonyu.checkLoop();
          if (_this.type==0) {
            if (_this.secIx==0) {
              _this.y-=Tonyu.globals.$Math.exp(- _this.secFr/10)*2;
              
            }
            
          }
          if (_this.secFr<_this.sections[_this.secIx]) {
            _this.secFr++;
            
          } else {
            _this.secIx+=1;
            _this.secFr=0;
            
          }
          _this.update();
          
        }
        _this.die();
      },
      fiber$main :function* _trc_PopText_f_main(_thread) {
        var _this=this;
        
        while (_this.secIx<_this.sections.length) {
          yield null;
          if (_this.type==0) {
            if (_this.secIx==0) {
              _this.y-=Tonyu.globals.$Math.exp(- _this.secFr/10)*2;
              
            }
            
          }
          if (_this.secFr<_this.sections[_this.secIx]) {
            _this.secFr++;
            
          } else {
            _this.secIx+=1;
            _this.secFr=0;
            
          }
          (yield* _this.fiber$update(_thread));
          
        }
        _this.die();
        
      },
      initialize :function _trc_PopText_initialize(o) {
        var _this=this;
        
        __superClass.apply( _this, [o]);
        if (o.pos) {
          _this.x=_this.pos.x;
          _this.y=_this.pos.y;
          
        }
        _this.zOrder=o.zOrder||- 1000;
        _this.text=o.text||"";
        _this.size=o.size||16;
        _this.textAlign=o.textAlign||"center";
        _this.fillStyle=o.fillStyle||"white";
        _this.strokeStyle=o.strokeStyle||"black";
        _this.setType(o.type||0);
        _this.sections=o.sections||_this.sections;
      },
      draw :function _trc_PopText_draw(ctx) {
        var _this=this;
        var text;
        var x;
        var y;
        
        ctx.save();
        if (_this.text) {
          ctx.textBaseline="middle";
          ctx.lineWidth=2;
          ctx.font=_this.size+"px sans-serif";
          text = _this.text;
          
          x = _this.x;
          
          y = _this.y;
          
          ctx.textAlign=_this.textAlign;
          ctx.strokeStyle=_this.strokeStyle;
          ctx.strokeText(text,x,y);
          ctx.fillStyle=_this.fillStyle;
          ctx.fillText(text,x,y);
          
        }
        ctx.restore();
      },
      setType :function _trc_PopText_setType(_type) {
        var _this=this;
        var ts;
        
        _this.type=_type;
        ts = [];
        
        if (_this.type==0) {
          ts.push(30);
          ts.push(30);
          
        }
        _this.sections=ts;
        _this.secIx=0;
        _this.secFr=0;
      },
      fiber$setType :function* _trc_PopText_f_setType(_thread,_type) {
        var _this=this;
        var ts;
        
        _this.type=_type;
        ts = [];
        
        if (_this.type==0) {
          ts.push(30);
          ts.push(30);
          
        }
        _this.sections=ts;
        _this.secIx=0;
        _this.secFr=0;
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}},"new":{"nowait":false,"isMain":false,"vtype":{"params":[null],"returnValue":null}},"draw":{"nowait":true,"isMain":false,"vtype":{"params":[null],"returnValue":null}},"setType":{"nowait":false,"isMain":false,"vtype":{"params":[null],"returnValue":null}}},"fields":{"secIx":{},"sections":{},"type":{},"secFr":{},"pos":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Progress',
  shortName: 'Progress',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Progress_main() {
        var _this=this;
        
      },
      fiber$main :function* _trc_Progress_f_main(_thread) {
        var _this=this;
        
        
      },
      initialize :function _trc_Progress_initialize(o) {
        var _this=this;
        
        _this._value=o.value||0;
        _this.max=o.max||60;
      },
      next :function _trc_Progress_next() {
        var _this=this;
        
        _this._value++;
        while (_this._value>=Tonyu.bindFunc(_this,_this.max)) {
          Tonyu.checkLoop();
          _this._value-=Tonyu.bindFunc(_this,_this.max);
          
        }
      },
      fiber$next :function* _trc_Progress_f_next(_thread) {
        var _this=this;
        
        _this._value++;
        while (_this._value>=Tonyu.bindFunc(_this,_this.max)) {
          yield null;
          _this._value-=Tonyu.bindFunc(_this,_this.max);
          
        }
        
      },
      __getter__t :function _trc_Progress___getter__t() {
        var _this=this;
        
        return _this._value/Tonyu.bindFunc(_this,_this.max);
      },
      __setter__value :function _trc_Progress___setter__value(v) {
        var _this=this;
        
        _this._value=v;
        while (_this._value>=Tonyu.bindFunc(_this,_this.max)) {
          Tonyu.checkLoop();
          _this._value-=Tonyu.bindFunc(_this,_this.max);
          
        }
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}},"new":{"nowait":false,"isMain":false,"vtype":{"params":[null],"returnValue":null}},"next":{"nowait":false,"isMain":false,"vtype":{"params":[],"returnValue":null}},"__getter__t":{"nowait":true,"isMain":false,"vtype":{"params":[],"returnValue":null}},"__setter__value":{"nowait":true,"isMain":false,"vtype":{"params":[null],"returnValue":null}}},"fields":{"_value":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Result',
  shortName: 'Result',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Result_main() {
        var _this=this;
        
        new Tonyu.classes.user.SLabel({x: 250,y: 100,aligin: "center",size: 42,text: "ゲームクリア\nおめでとう！",lifeKeeper: _this});
        _this.shareText = Tonyu.globals.$score==0?"一度も刺身にならずクリアした！":"刺身になった回数: "+Tonyu.globals.$score;
        
        _this.ui=new Tonyu.classes.kernel.HTMLUI({content: ["div",{style: "width: 100%"},["textarea",{style: "width: 100%",name: "shareText",rows: "3",onfocus: (function anonymous_319(e) {
          
          e.target.select();
        })},"横断魚道 ゲームクリア！ "+_this.shareText+" #ahoge "+window.location.href],["button",{style: "width: 100%; height:2rem; ",onclick: (function anonymous_475() {
          
          _this.text=_this.ui.getValue("shareText");
          navigator.clipboard.writeText(_this.text).then((function anonymous_626() {
            
            new Tonyu.classes.user.PopText({x: 250,y: 250,size: 28,text: "Copied!"});
          }),(function anonymous_702() {
            
            new Tonyu.classes.user.PopText({x: 250,y: 250,size: 28,text: "コピー失敗"});
          })).catch((function anonymous_783() {
            
            new Tonyu.classes.user.PopText({x: 250,y: 250,size: 28,text: "コピー失敗"});
          }));
        })},"Copy"],["div",{style: "padding:1.5rem;"}],["button",{style: "width: 100%;  height:2rem; ",onclick: (function anonymous_949() {
          
          Tonyu.globals.$score=0;
          Tonyu.globals.$StageUtils.moveTo(0);
          _this.die();
        })},"もう一度"]],left: 100,top: 220,width: 300,height: 200,lifeKeeper: _this});
      },
      fiber$main :function* _trc_Result_f_main(_thread) {
        var _this=this;
        
        new Tonyu.classes.user.SLabel({x: 250,y: 100,aligin: "center",size: 42,text: "ゲームクリア\nおめでとう！",lifeKeeper: _this});
        _this.shareText = Tonyu.globals.$score==0?"一度も刺身にならずクリアした！":"刺身になった回数: "+Tonyu.globals.$score;
        
        _this.ui=new Tonyu.classes.kernel.HTMLUI({content: ["div",{style: "width: 100%"},["textarea",{style: "width: 100%",name: "shareText",rows: "3",onfocus: (function anonymous_319(e) {
          
          e.target.select();
        })},"横断魚道 ゲームクリア！ "+_this.shareText+" #ahoge "+window.location.href],["button",{style: "width: 100%; height:2rem; ",onclick: (function anonymous_475() {
          
          _this.text=_this.ui.getValue("shareText");
          navigator.clipboard.writeText(_this.text).then((function anonymous_626() {
            
            new Tonyu.classes.user.PopText({x: 250,y: 250,size: 28,text: "Copied!"});
          }),(function anonymous_702() {
            
            new Tonyu.classes.user.PopText({x: 250,y: 250,size: 28,text: "コピー失敗"});
          })).catch((function anonymous_783() {
            
            new Tonyu.classes.user.PopText({x: 250,y: 250,size: 28,text: "コピー失敗"});
          }));
        })},"Copy"],["div",{style: "padding:1.5rem;"}],["button",{style: "width: 100%;  height:2rem; ",onclick: (function anonymous_949() {
          
          Tonyu.globals.$score=0;
          Tonyu.globals.$StageUtils.moveTo(0);
          _this.die();
        })},"もう一度"]],left: 100,top: 220,width: 300,height: 200,lifeKeeper: _this});
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}}},"fields":{"shareText":{},"ui":{}}}
});
Tonyu.klass.define({
  fullName: 'user.SLabel',
  shortName: 'SLabel',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Label,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_SLabel_main() {
        var _this=this;
        
      },
      fiber$main :function* _trc_SLabel_f_main(_thread) {
        var _this=this;
        
        
      },
      initialize :function _trc_SLabel_initialize(o) {
        var _this=this;
        
        __superClass.apply( _this, [o]);
        _this.zOrder=o.zOrder||- 1000;
        _this.text=o.text||"";
        _this.size=o.size||16;
        _this.textAlign=o.textAlign||"center";
        _this.fillStyle=o.fillStyle||"white";
        _this.strokeStyle=o.strokeStyle||"black";
      },
      draw :function _trc_SLabel_draw(ctx) {
        var _this=this;
        var lines;
        var i;
        var text;
        var x;
        var y;
        
        ctx.save();
        if (_this.text) {
          ctx.textBaseline="middle";
          ctx.lineWidth=2;
          ctx.font=_this.size+"px sans-serif";
          lines = _this.text.split("\n");
          
          for (i = 0;
           i<lines.length ; i++) {
            Tonyu.checkLoop();
            {
              text = lines[i];
              
              x = _this.x;
              
              y = _this.y+i*_this.size;
              
              ctx.textAlign=_this.textAlign;
              ctx.strokeStyle=_this.strokeStyle;
              ctx.strokeText(text,x,y);
              ctx.fillStyle=_this.fillStyle;
              ctx.fillText(text,x,y);
            }
          }
          
        }
        ctx.restore();
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}},"new":{"nowait":false,"isMain":false,"vtype":{"params":[null],"returnValue":null}},"draw":{"nowait":true,"isMain":false,"vtype":{"params":[null],"returnValue":null}}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Stage01',
  shortName: 'Stage01',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Stage01_main() {
        var _this=this;
        
        Tonyu.globals.$nowStage=_this;
        _this.px = 100;
        
        _this.py = 250;
        
        _this.nextStage = Tonyu.classes.user.Stage02;
        
        new Tonyu.classes.user.White({x: 100,y: 250,width: 100,height: 500});
        _this.player=new Tonyu.classes.user.Player({x: _this.px,y: _this.py});
        new Tonyu.classes.user.White({x: 300,y: 250,width: 100,height: 500});
        new Tonyu.classes.user.White({x: 500,y: 250,width: 100,height: 500});
        new Tonyu.classes.user.White({x: 700,y: 250,width: 100,height: 500});
        new Tonyu.classes.user.Goal({x: 900,y: 250,width: 100,height: 500});
        new Tonyu.classes.user.Title({x: 200,y: 50});
        while (1) {
          Tonyu.checkLoop();
          _this.update();
          
        }
      },
      fiber$main :function* _trc_Stage01_f_main(_thread) {
        var _this=this;
        
        Tonyu.globals.$nowStage=_this;
        _this.px = 100;
        
        _this.py = 250;
        
        _this.nextStage = Tonyu.classes.user.Stage02;
        
        new Tonyu.classes.user.White({x: 100,y: 250,width: 100,height: 500});
        _this.player=new Tonyu.classes.user.Player({x: _this.px,y: _this.py});
        new Tonyu.classes.user.White({x: 300,y: 250,width: 100,height: 500});
        new Tonyu.classes.user.White({x: 500,y: 250,width: 100,height: 500});
        new Tonyu.classes.user.White({x: 700,y: 250,width: 100,height: 500});
        new Tonyu.classes.user.Goal({x: 900,y: 250,width: 100,height: 500});
        new Tonyu.classes.user.Title({x: 200,y: 50});
        while (1) {
          yield null;
          (yield* _this.fiber$update(_thread));
          
        }
        
      },
      next :function _trc_Stage01_next() {
        var _this=this;
        
        Tonyu.globals.$StageUtils.next(Tonyu.classes.user.Stage02);
        Tonyu.globals.$player.die();
      },
      fiber$next :function* _trc_Stage01_f_next(_thread) {
        var _this=this;
        
        Tonyu.globals.$StageUtils.next(Tonyu.classes.user.Stage02);
        Tonyu.globals.$player.die();
        
      },
      gameOver :function _trc_Stage01_gameOver() {
        var _this=this;
        
        Tonyu.globals.$player.x=_this.px;
        Tonyu.globals.$player.y=_this.py;
      },
      fiber$gameOver :function* _trc_Stage01_f_gameOver(_thread) {
        var _this=this;
        
        Tonyu.globals.$player.x=_this.px;
        Tonyu.globals.$player.y=_this.py;
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}},"next":{"nowait":false,"isMain":false,"vtype":{"params":[],"returnValue":null}},"gameOver":{"nowait":false,"isMain":false,"vtype":{"params":[],"returnValue":null}}},"fields":{"px":{},"py":{},"nextStage":{},"player":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Stage02',
  shortName: 'Stage02',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Stage02_main() {
        var _this=this;
        
        Tonyu.globals.$nowStage=_this;
        _this.px = 100;
        
        _this.py = 250;
        
        _this.nextStage = Tonyu.classes.user.Stage03;
        
        _this.moves = [];
        
        new Tonyu.classes.user.White({x: 100,y: 250,width: 100,height: 450});
        _this.player = new Tonyu.classes.user.Player({x: _this.px,y: _this.py});
        
        new Tonyu.classes.user.White({x: 300,y: 250,width: 100,height: 300});
        new Tonyu.classes.user.White({x: 500,y: 250,width: 100,height: 150});
        new Tonyu.classes.user.White({x: 700,y: 400,width: 100,height: 150});
        new Tonyu.classes.user.White({x: 700,y: 100,width: 100,height: 150});
        new Tonyu.classes.user.Goal({x: 900,y: 250,width: 100,height: 500});
        _this.vx = 1;
        
        _this.tx = 0;
        
        _this.maxTx = 100;
        
        while (1) {
          Tonyu.checkLoop();
          _this.tx+=_this.vx;
          if (_this.abs(_this.tx)>=_this.maxTx) {
            _this.vx=- _this.vx;
            
          }
          for ([_this.m] of Tonyu.iterator2(_this.moves,1)) {
            _this.m.x+=_this.vx;
            
          }
          _this.update();
          
        }
      },
      fiber$main :function* _trc_Stage02_f_main(_thread) {
        var _this=this;
        
        Tonyu.globals.$nowStage=_this;
        _this.px = 100;
        
        _this.py = 250;
        
        _this.nextStage = Tonyu.classes.user.Stage03;
        
        _this.moves = [];
        
        new Tonyu.classes.user.White({x: 100,y: 250,width: 100,height: 450});
        _this.player = new Tonyu.classes.user.Player({x: _this.px,y: _this.py});
        
        new Tonyu.classes.user.White({x: 300,y: 250,width: 100,height: 300});
        new Tonyu.classes.user.White({x: 500,y: 250,width: 100,height: 150});
        new Tonyu.classes.user.White({x: 700,y: 400,width: 100,height: 150});
        new Tonyu.classes.user.White({x: 700,y: 100,width: 100,height: 150});
        new Tonyu.classes.user.Goal({x: 900,y: 250,width: 100,height: 500});
        _this.vx = 1;
        
        _this.tx = 0;
        
        _this.maxTx = 100;
        
        while (1) {
          yield null;
          _this.tx+=_this.vx;
          if (_this.abs(_this.tx)>=_this.maxTx) {
            _this.vx=- _this.vx;
            
          }
          for ([_this.m] of Tonyu.iterator2(_this.moves,1)) {
            _this.m.x+=_this.vx;
            
          }
          (yield* _this.fiber$update(_thread));
          
        }
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}}},"fields":{"px":{},"py":{},"nextStage":{},"moves":{},"player":{},"vx":{},"tx":{},"maxTx":{},"m":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Stage03',
  shortName: 'Stage03',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Stage03_main() {
        var _this=this;
        
        Tonyu.globals.$nowStage=_this;
        _this.px = 100;
        
        _this.py = 250;
        
        _this.nextStage = Tonyu.classes.user.Stage03;
        
        _this.moves = [];
        
        new Tonyu.classes.user.White({x: 100,y: 250,width: 100,height: 400});
        _this.player = new Tonyu.classes.user.Player({x: _this.px,y: _this.py});
        
        _this.moves.push(new Tonyu.classes.user.White({x: 300,y: 250,width: 100,height: 400}));
        new Tonyu.classes.user.White({x: 500,y: 100,width: 100,height: 200});
        new Tonyu.classes.user.White({x: 500,y: 400,width: 100,height: 200});
        _this.moves.push(new Tonyu.classes.user.White({x: 700,y: 250,width: 100,height: 400}));
        new Tonyu.classes.user.Goal({x: 900,y: 250,width: 100,height: 500});
        _this.vx = 1;
        
        _this.tx = 0;
        
        _this.maxTx = 100;
        
        while (1) {
          Tonyu.checkLoop();
          _this.tx+=_this.vx;
          if (_this.abs(_this.tx)>=_this.maxTx) {
            _this.vx=- _this.vx;
            
          }
          for ([_this.m] of Tonyu.iterator2(_this.moves,1)) {
            _this.m.x+=_this.vx;
            
          }
          _this.update();
          
        }
      },
      fiber$main :function* _trc_Stage03_f_main(_thread) {
        var _this=this;
        
        Tonyu.globals.$nowStage=_this;
        _this.px = 100;
        
        _this.py = 250;
        
        _this.nextStage = Tonyu.classes.user.Stage03;
        
        _this.moves = [];
        
        new Tonyu.classes.user.White({x: 100,y: 250,width: 100,height: 400});
        _this.player = new Tonyu.classes.user.Player({x: _this.px,y: _this.py});
        
        _this.moves.push(new Tonyu.classes.user.White({x: 300,y: 250,width: 100,height: 400}));
        new Tonyu.classes.user.White({x: 500,y: 100,width: 100,height: 200});
        new Tonyu.classes.user.White({x: 500,y: 400,width: 100,height: 200});
        _this.moves.push(new Tonyu.classes.user.White({x: 700,y: 250,width: 100,height: 400}));
        new Tonyu.classes.user.Goal({x: 900,y: 250,width: 100,height: 500});
        _this.vx = 1;
        
        _this.tx = 0;
        
        _this.maxTx = 100;
        
        while (1) {
          yield null;
          _this.tx+=_this.vx;
          if (_this.abs(_this.tx)>=_this.maxTx) {
            _this.vx=- _this.vx;
            
          }
          for ([_this.m] of Tonyu.iterator2(_this.moves,1)) {
            _this.m.x+=_this.vx;
            
          }
          (yield* _this.fiber$update(_thread));
          
        }
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}}},"fields":{"px":{},"py":{},"nextStage":{},"moves":{},"player":{},"vx":{},"tx":{},"maxTx":{},"m":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Stage04',
  shortName: 'Stage04',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Stage04_main() {
        var _this=this;
        
        Tonyu.globals.$nowStage=_this;
        _this.px = 100;
        
        _this.py = 250;
        
        _this.stageName = "Stage 3";
        
        _this.moves = [];
        
        _this.movesB = [];
        
        new Tonyu.classes.user.White({x: 100,y: 250,width: 100,height: 500});
        _this.player = new Tonyu.classes.user.Player({x: _this.px,y: _this.py});
        
        _this.moves.push(new Tonyu.classes.user.White({x: 350,y: 100,width: 100,height: 200}));
        new Tonyu.classes.user.White({x: 450,y: 250,width: 100,height: 100});
        _this.movesB.push(new Tonyu.classes.user.White({x: 550,y: 400,width: 100,height: 200}));
        new Tonyu.classes.user.White({x: 800,y: 250,width: 100,height: 100});
        new Tonyu.classes.user.Goal({x: 1000,y: 250,width: 100,height: 500});
        _this.vx = 1;
        
        _this.tx = 0;
        
        _this.maxTx = 100;
        
        while (1) {
          Tonyu.checkLoop();
          _this.tx+=_this.vx;
          if (_this.abs(_this.tx)>=_this.maxTx) {
            _this.vx=- _this.vx;
            
          }
          for ([_this.m] of Tonyu.iterator2(_this.moves,1)) {
            _this.m.x+=_this.vx;
            
          }
          for ([_this.m] of Tonyu.iterator2(_this.movesB,1)) {
            _this.m.x-=_this.vx;
            
          }
          _this.update();
          
        }
      },
      fiber$main :function* _trc_Stage04_f_main(_thread) {
        var _this=this;
        
        Tonyu.globals.$nowStage=_this;
        _this.px = 100;
        
        _this.py = 250;
        
        _this.stageName = "Stage 3";
        
        _this.moves = [];
        
        _this.movesB = [];
        
        new Tonyu.classes.user.White({x: 100,y: 250,width: 100,height: 500});
        _this.player = new Tonyu.classes.user.Player({x: _this.px,y: _this.py});
        
        _this.moves.push(new Tonyu.classes.user.White({x: 350,y: 100,width: 100,height: 200}));
        new Tonyu.classes.user.White({x: 450,y: 250,width: 100,height: 100});
        _this.movesB.push(new Tonyu.classes.user.White({x: 550,y: 400,width: 100,height: 200}));
        new Tonyu.classes.user.White({x: 800,y: 250,width: 100,height: 100});
        new Tonyu.classes.user.Goal({x: 1000,y: 250,width: 100,height: 500});
        _this.vx = 1;
        
        _this.tx = 0;
        
        _this.maxTx = 100;
        
        while (1) {
          yield null;
          _this.tx+=_this.vx;
          if (_this.abs(_this.tx)>=_this.maxTx) {
            _this.vx=- _this.vx;
            
          }
          for ([_this.m] of Tonyu.iterator2(_this.moves,1)) {
            _this.m.x+=_this.vx;
            
          }
          for ([_this.m] of Tonyu.iterator2(_this.movesB,1)) {
            _this.m.x-=_this.vx;
            
          }
          (yield* _this.fiber$update(_thread));
          
        }
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}}},"fields":{"px":{},"py":{},"stageName":{},"moves":{},"movesB":{},"player":{},"vx":{},"tx":{},"maxTx":{},"m":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Stage05',
  shortName: 'Stage05',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Stage05_main() {
        var _this=this;
        
        Tonyu.globals.$nowStage=_this;
        _this.px = 0;
        
        _this.py = 250;
        
        _this.movesA = [];
        
        _this.movesB = [];
        
        new Tonyu.classes.user.White({x: 0,y: 250,width: 100,height: 500});
        _this.player = new Tonyu.classes.user.Player({x: _this.px,y: _this.py});
        
        _this.movesA.push(new Tonyu.classes.user.White({x: 300,y: 100,width: 100,height: 100}));
        _this.movesA.push(new Tonyu.classes.user.White({x: 300,y: 100,width: 100,height: 100}));
        _this.movesA.push(new Tonyu.classes.user.White({x: 300,y: 100,width: 100,height: 100}));
        _this.movesA.push(new Tonyu.classes.user.White({x: 300,y: 100,width: 100,height: 100}));
        _this.movesB.push(new Tonyu.classes.user.White({x: 300,y: 100,width: 100,height: 100}));
        _this.movesB.push(new Tonyu.classes.user.White({x: 300,y: 100,width: 100,height: 100}));
        _this.movesB.push(new Tonyu.classes.user.White({x: 300,y: 100,width: 100,height: 100}));
        _this.movesB.push(new Tonyu.classes.user.White({x: 300,y: 100,width: 100,height: 100}));
        new Tonyu.classes.user.Goal({x: 1100,y: 250,width: 100,height: 500});
        _this.routeA = [[200,100],[500,100],[500,400],[200,400]];
        
        _this.ofx = 400;
        
        _this.routeB = [[200+_this.ofx,100],[500+_this.ofx,100],[500+_this.ofx,400],[200+_this.ofx,400]].reverse();
        
        _this.p1 = new Tonyu.classes.user.Progress({max: 1200});
        
        while (1) {
          Tonyu.checkLoop();
          _this.p1.next();
          for (_this.i = 0;
           _this.i<_this.movesA.length ; _this.i++) {
            Tonyu.checkLoop();
            {
              _this.m = _this.movesA[_this.i];
              
              _this.prog = (_this.p1.t+_this.i/_this.movesA.length)*_this.routeA.length;
              
              if (_this.prog>=_this.routeA.length) {
                _this.prog-=_this.routeA.length;
                
              }
              _this.prevPoint = _this.routeA[_this.floor(_this.prog)];
              
              _this.nextPoint = _this.routeA[_this.ceil(_this.prog)==_this.routeA.length?0:_this.ceil(_this.prog)];
              
              _this._t = _this.prog-_this.floor(_this.prog);
              
              _this.m.x=Tonyu.globals.$Utils.lerp(_this.prevPoint[0],_this.nextPoint[0],_this._t);
              _this.m.y=Tonyu.globals.$Utils.lerp(_this.prevPoint[1],_this.nextPoint[1],_this._t);
            }
          }
          for (_this.i = 0;
           _this.i<_this.movesA.length ; _this.i++) {
            Tonyu.checkLoop();
            {
              _this.m = _this.movesB[_this.i];
              
              _this.prog = (_this.p1.t+_this.i/_this.movesB.length)*_this.routeB.length+0.5;
              
              if (_this.prog>=_this.routeB.length) {
                _this.prog-=_this.routeB.length;
                
              }
              _this.prevPoint = _this.routeB[_this.floor(_this.prog)];
              
              _this.nextPoint = _this.routeB[_this.ceil(_this.prog)==_this.routeB.length?0:_this.ceil(_this.prog)];
              
              _this._t = _this.prog-_this.floor(_this.prog);
              
              _this.m.x=Tonyu.globals.$Utils.lerp(_this.prevPoint[0],_this.nextPoint[0],_this._t);
              _this.m.y=Tonyu.globals.$Utils.lerp(_this.prevPoint[1],_this.nextPoint[1],_this._t);
            }
          }
          _this.update();
          
        }
      },
      fiber$main :function* _trc_Stage05_f_main(_thread) {
        var _this=this;
        
        Tonyu.globals.$nowStage=_this;
        _this.px = 0;
        
        _this.py = 250;
        
        _this.movesA = [];
        
        _this.movesB = [];
        
        new Tonyu.classes.user.White({x: 0,y: 250,width: 100,height: 500});
        _this.player = new Tonyu.classes.user.Player({x: _this.px,y: _this.py});
        
        _this.movesA.push(new Tonyu.classes.user.White({x: 300,y: 100,width: 100,height: 100}));
        _this.movesA.push(new Tonyu.classes.user.White({x: 300,y: 100,width: 100,height: 100}));
        _this.movesA.push(new Tonyu.classes.user.White({x: 300,y: 100,width: 100,height: 100}));
        _this.movesA.push(new Tonyu.classes.user.White({x: 300,y: 100,width: 100,height: 100}));
        _this.movesB.push(new Tonyu.classes.user.White({x: 300,y: 100,width: 100,height: 100}));
        _this.movesB.push(new Tonyu.classes.user.White({x: 300,y: 100,width: 100,height: 100}));
        _this.movesB.push(new Tonyu.classes.user.White({x: 300,y: 100,width: 100,height: 100}));
        _this.movesB.push(new Tonyu.classes.user.White({x: 300,y: 100,width: 100,height: 100}));
        new Tonyu.classes.user.Goal({x: 1100,y: 250,width: 100,height: 500});
        _this.routeA = [[200,100],[500,100],[500,400],[200,400]];
        
        _this.ofx = 400;
        
        _this.routeB = [[200+_this.ofx,100],[500+_this.ofx,100],[500+_this.ofx,400],[200+_this.ofx,400]].reverse();
        
        _this.p1 = new Tonyu.classes.user.Progress({max: 1200});
        
        while (1) {
          yield null;
          _this.p1.next();
          for (_this.i = 0;
           _this.i<_this.movesA.length ; _this.i++) {
            yield null;
            {
              _this.m = _this.movesA[_this.i];
              
              _this.prog = (_this.p1.t+_this.i/_this.movesA.length)*_this.routeA.length;
              
              if (_this.prog>=_this.routeA.length) {
                _this.prog-=_this.routeA.length;
                
              }
              _this.prevPoint = _this.routeA[_this.floor(_this.prog)];
              
              _this.nextPoint = _this.routeA[_this.ceil(_this.prog)==_this.routeA.length?0:_this.ceil(_this.prog)];
              
              _this._t = _this.prog-_this.floor(_this.prog);
              
              _this.m.x=Tonyu.globals.$Utils.lerp(_this.prevPoint[0],_this.nextPoint[0],_this._t);
              _this.m.y=Tonyu.globals.$Utils.lerp(_this.prevPoint[1],_this.nextPoint[1],_this._t);
            }
          }
          for (_this.i = 0;
           _this.i<_this.movesA.length ; _this.i++) {
            yield null;
            {
              _this.m = _this.movesB[_this.i];
              
              _this.prog = (_this.p1.t+_this.i/_this.movesB.length)*_this.routeB.length+0.5;
              
              if (_this.prog>=_this.routeB.length) {
                _this.prog-=_this.routeB.length;
                
              }
              _this.prevPoint = _this.routeB[_this.floor(_this.prog)];
              
              _this.nextPoint = _this.routeB[_this.ceil(_this.prog)==_this.routeB.length?0:_this.ceil(_this.prog)];
              
              _this._t = _this.prog-_this.floor(_this.prog);
              
              _this.m.x=Tonyu.globals.$Utils.lerp(_this.prevPoint[0],_this.nextPoint[0],_this._t);
              _this.m.y=Tonyu.globals.$Utils.lerp(_this.prevPoint[1],_this.nextPoint[1],_this._t);
            }
          }
          (yield* _this.fiber$update(_thread));
          
        }
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}}},"fields":{"px":{},"py":{},"movesA":{},"movesB":{},"player":{},"routeA":{},"ofx":{},"routeB":{},"p1":{},"i":{},"m":{},"prog":{},"prevPoint":{},"nextPoint":{},"_t":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Stage06',
  shortName: 'Stage06',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Stage06_main() {
        var _this=this;
        
        Tonyu.globals.$nowStage=_this;
        _this.px = 0;
        
        _this.py = 250;
        
        _this.movesA = [];
        
        _this.movesB = [];
        
        _this.movesC = [];
        
        new Tonyu.classes.user.White({x: 0,y: 250,width: 100,height: 500});
        _this.player = new Tonyu.classes.user.Player({x: _this.px,y: _this.py});
        
        _this.height = 75;
        
        _this.movesA.push(new Tonyu.classes.user.White({x: 300,y: 100,width: 100,height: _this.height}));
        _this.movesA.push(new Tonyu.classes.user.White({x: 300,y: 100,width: 100,height: _this.height}));
        _this.movesA.push(new Tonyu.classes.user.White({x: 300,y: 100,width: 100,height: _this.height}));
        _this.movesA.push(new Tonyu.classes.user.White({x: 300,y: 100,width: 100,height: _this.height}));
        new Tonyu.classes.user.White({x: 500,y: 250,width: 100,height: 500});
        new Tonyu.classes.user.White({x: 600,y: 500,width: 100,height: 500});
        _this.height=75;
        _this.movesB.push(new Tonyu.classes.user.White({x: 300,y: 100,width: 100,height: _this.height}));
        _this.movesB.push(new Tonyu.classes.user.White({x: 300,y: 100,width: 100,height: _this.height}));
        _this.movesB.push(new Tonyu.classes.user.White({x: 300,y: 100,width: 100,height: _this.height}));
        _this.movesB.push(new Tonyu.classes.user.White({x: 300,y: 100,width: 100,height: _this.height}));
        _this.movesC.push(new Tonyu.classes.user.White({x: 300,y: 100,width: 100,height: 100}));
        new Tonyu.classes.user.Goal({x: 1800,y: 250,width: 500,height: 500});
        _this.routeA = [[250,- 100,1],[250,600,3]];
        
        _this.routeB = [[700,600,3],[900,250,1],[900,- 100,3]];
        
        _this.routeC = [[1100,50],[1500,50]];
        
        _this.p1 = new Tonyu.classes.user.Progress({max: 800});
        
        _this.p2 = new Tonyu.classes.user.Progress({max: 3400});
        
        while (1) {
          Tonyu.checkLoop();
          _this.p1.next();
          _this.p2.next();
          for (_this.i = 0;
           _this.i<_this.movesA.length ; _this.i++) {
            Tonyu.checkLoop();
            {
              _this.m = _this.movesA[_this.i];
              
              _this.prog = (_this.p1.t+_this.i/_this.movesA.length)*(_this.routeA.length-1);
              
              if (_this.prog>=(_this.routeA.length-1)) {
                _this.prog-=(_this.routeA.length-1);
                
              }
              _this.prevPoint = _this.routeA[_this.floor(_this.prog)];
              
              _this.nextPoint = _this.routeA[_this.ceil(_this.prog)==_this.routeA.length?0:_this.ceil(_this.prog)];
              
              _this._t = _this.prog-_this.floor(_this.prog);
              
              _this.m.x=Tonyu.globals.$Utils.lerp(_this.prevPoint[0],_this.nextPoint[0],_this._t);
              _this.m.y=Tonyu.globals.$Utils.lerp(_this.prevPoint[1],_this.nextPoint[1],_this._t);
              _this.m.scaleX=Tonyu.globals.$Utils.lerp(_this.prevPoint[2],_this.nextPoint[2],_this._t);
              _this.m.scaleY=1;
            }
          }
          for (_this.i = 0;
           _this.i<_this.movesB.length ; _this.i++) {
            Tonyu.checkLoop();
            {
              _this.m = _this.movesB[_this.i];
              
              _this.prog = (_this.p1.t+_this.i/_this.movesB.length)*(_this.routeB.length-1);
              
              if (_this.prog>=(_this.routeB.length-1)) {
                _this.prog-=(_this.routeB.length-1);
                
              }
              _this.prevPoint = _this.routeB[_this.floor(_this.prog)];
              
              _this.nextPoint = _this.routeB[_this.ceil(_this.prog)==_this.routeB.length?0:_this.ceil(_this.prog)];
              
              _this._t = _this.prog-_this.floor(_this.prog);
              
              _this.m.x=Tonyu.globals.$Utils.lerp(_this.prevPoint[0],_this.nextPoint[0],_this._t);
              _this.m.y=Tonyu.globals.$Utils.lerp(_this.prevPoint[1],_this.nextPoint[1],_this._t);
              _this.m.scaleX=Tonyu.globals.$Utils.lerp(_this.prevPoint[2],_this.nextPoint[2],_this._t);
              _this.m.scaleY=1;
            }
          }
          for (_this.i = 0;
           _this.i<_this.movesC.length ; _this.i++) {
            Tonyu.checkLoop();
            {
              _this.m = _this.movesC[_this.i];
              
              _this.prog = (_this.p1.t+_this.i/_this.movesC.length)*_this.routeC.length;
              
              if (_this.prog>=_this.routeC.length) {
                _this.prog-=_this.routeC.length;
                
              }
              _this.prevPoint = _this.routeC[_this.floor(_this.prog)];
              
              _this.nextPoint = _this.routeC[_this.ceil(_this.prog)==_this.routeC.length?0:_this.ceil(_this.prog)];
              
              _this._t = _this.prog-_this.floor(_this.prog);
              
              _this.m.x=Tonyu.globals.$Utils.lerp(_this.prevPoint[0],_this.nextPoint[0],_this._t);
              _this.m.y=Tonyu.globals.$Utils.lerp(_this.prevPoint[1],_this.nextPoint[1],_this._t);
            }
          }
          _this.update();
          
        }
      },
      fiber$main :function* _trc_Stage06_f_main(_thread) {
        var _this=this;
        
        Tonyu.globals.$nowStage=_this;
        _this.px = 0;
        
        _this.py = 250;
        
        _this.movesA = [];
        
        _this.movesB = [];
        
        _this.movesC = [];
        
        new Tonyu.classes.user.White({x: 0,y: 250,width: 100,height: 500});
        _this.player = new Tonyu.classes.user.Player({x: _this.px,y: _this.py});
        
        _this.height = 75;
        
        _this.movesA.push(new Tonyu.classes.user.White({x: 300,y: 100,width: 100,height: _this.height}));
        _this.movesA.push(new Tonyu.classes.user.White({x: 300,y: 100,width: 100,height: _this.height}));
        _this.movesA.push(new Tonyu.classes.user.White({x: 300,y: 100,width: 100,height: _this.height}));
        _this.movesA.push(new Tonyu.classes.user.White({x: 300,y: 100,width: 100,height: _this.height}));
        new Tonyu.classes.user.White({x: 500,y: 250,width: 100,height: 500});
        new Tonyu.classes.user.White({x: 600,y: 500,width: 100,height: 500});
        _this.height=75;
        _this.movesB.push(new Tonyu.classes.user.White({x: 300,y: 100,width: 100,height: _this.height}));
        _this.movesB.push(new Tonyu.classes.user.White({x: 300,y: 100,width: 100,height: _this.height}));
        _this.movesB.push(new Tonyu.classes.user.White({x: 300,y: 100,width: 100,height: _this.height}));
        _this.movesB.push(new Tonyu.classes.user.White({x: 300,y: 100,width: 100,height: _this.height}));
        _this.movesC.push(new Tonyu.classes.user.White({x: 300,y: 100,width: 100,height: 100}));
        new Tonyu.classes.user.Goal({x: 1800,y: 250,width: 500,height: 500});
        _this.routeA = [[250,- 100,1],[250,600,3]];
        
        _this.routeB = [[700,600,3],[900,250,1],[900,- 100,3]];
        
        _this.routeC = [[1100,50],[1500,50]];
        
        _this.p1 = new Tonyu.classes.user.Progress({max: 800});
        
        _this.p2 = new Tonyu.classes.user.Progress({max: 3400});
        
        while (1) {
          yield null;
          _this.p1.next();
          _this.p2.next();
          for (_this.i = 0;
           _this.i<_this.movesA.length ; _this.i++) {
            yield null;
            {
              _this.m = _this.movesA[_this.i];
              
              _this.prog = (_this.p1.t+_this.i/_this.movesA.length)*(_this.routeA.length-1);
              
              if (_this.prog>=(_this.routeA.length-1)) {
                _this.prog-=(_this.routeA.length-1);
                
              }
              _this.prevPoint = _this.routeA[_this.floor(_this.prog)];
              
              _this.nextPoint = _this.routeA[_this.ceil(_this.prog)==_this.routeA.length?0:_this.ceil(_this.prog)];
              
              _this._t = _this.prog-_this.floor(_this.prog);
              
              _this.m.x=Tonyu.globals.$Utils.lerp(_this.prevPoint[0],_this.nextPoint[0],_this._t);
              _this.m.y=Tonyu.globals.$Utils.lerp(_this.prevPoint[1],_this.nextPoint[1],_this._t);
              _this.m.scaleX=Tonyu.globals.$Utils.lerp(_this.prevPoint[2],_this.nextPoint[2],_this._t);
              _this.m.scaleY=1;
            }
          }
          for (_this.i = 0;
           _this.i<_this.movesB.length ; _this.i++) {
            yield null;
            {
              _this.m = _this.movesB[_this.i];
              
              _this.prog = (_this.p1.t+_this.i/_this.movesB.length)*(_this.routeB.length-1);
              
              if (_this.prog>=(_this.routeB.length-1)) {
                _this.prog-=(_this.routeB.length-1);
                
              }
              _this.prevPoint = _this.routeB[_this.floor(_this.prog)];
              
              _this.nextPoint = _this.routeB[_this.ceil(_this.prog)==_this.routeB.length?0:_this.ceil(_this.prog)];
              
              _this._t = _this.prog-_this.floor(_this.prog);
              
              _this.m.x=Tonyu.globals.$Utils.lerp(_this.prevPoint[0],_this.nextPoint[0],_this._t);
              _this.m.y=Tonyu.globals.$Utils.lerp(_this.prevPoint[1],_this.nextPoint[1],_this._t);
              _this.m.scaleX=Tonyu.globals.$Utils.lerp(_this.prevPoint[2],_this.nextPoint[2],_this._t);
              _this.m.scaleY=1;
            }
          }
          for (_this.i = 0;
           _this.i<_this.movesC.length ; _this.i++) {
            yield null;
            {
              _this.m = _this.movesC[_this.i];
              
              _this.prog = (_this.p1.t+_this.i/_this.movesC.length)*_this.routeC.length;
              
              if (_this.prog>=_this.routeC.length) {
                _this.prog-=_this.routeC.length;
                
              }
              _this.prevPoint = _this.routeC[_this.floor(_this.prog)];
              
              _this.nextPoint = _this.routeC[_this.ceil(_this.prog)==_this.routeC.length?0:_this.ceil(_this.prog)];
              
              _this._t = _this.prog-_this.floor(_this.prog);
              
              _this.m.x=Tonyu.globals.$Utils.lerp(_this.prevPoint[0],_this.nextPoint[0],_this._t);
              _this.m.y=Tonyu.globals.$Utils.lerp(_this.prevPoint[1],_this.nextPoint[1],_this._t);
            }
          }
          (yield* _this.fiber$update(_thread));
          
        }
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}}},"fields":{"px":{},"py":{},"movesA":{},"movesB":{},"movesC":{},"player":{},"height":{},"routeA":{},"routeB":{},"routeC":{},"p1":{},"p2":{},"i":{},"m":{},"prog":{},"prevPoint":{},"nextPoint":{},"_t":{}}}
});
Tonyu.klass.define({
  fullName: 'user.StageUtils',
  shortName: 'StageUtils',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_StageUtils_main() {
        var _this=this;
        
      },
      fiber$main :function* _trc_StageUtils_f_main(_thread) {
        var _this=this;
        
        
      },
      initialize :function _trc_StageUtils_initialize(o) {
        var _this=this;
        
        __superClass.apply( _this, [o]);
        _this.pages;
        _this.pageIdx=0;
      },
      newStageList :function _trc_StageUtils_newStageList(pages) {
        var _this=this;
        
        _this.pages=pages;
        _this.pageIdx=- 1;
      },
      fiber$newStageList :function* _trc_StageUtils_f_newStageList(_thread,pages) {
        var _this=this;
        
        _this.pages=pages;
        _this.pageIdx=- 1;
        
      },
      moveTo :function _trc_StageUtils_moveTo(idx) {
        var _this=this;
        var page;
        var fade;
        
        _this.pageIdx=idx;
        page = _this.pages[_this.pageIdx];
        
        if (! page) {
          new Tonyu.classes.user.Result();
          return _this;
          
        }
        fade = new Tonyu.classes.kernel.FadeEffect({type: "out",fillStyle: "white",duration: 30});
        
        fade.on("complete",(function anonymous_435() {
          
          _this.loadPage(page,{},{onLoad: (function anonymous_475() {
            
            new Tonyu.classes.kernel.FadeEffect({type: "in",fillStyle: "white",duration: 30});
            new Tonyu.classes.user.PopText({x: 150,y: 250,text: "Stage "+(_this.pageIdx+1)+" Start",size: 32,sections: [60,120]});
            new Tonyu.classes.user.UI();
          })});
        }));
      },
      fiber$moveTo :function* _trc_StageUtils_f_moveTo(_thread,idx) {
        var _this=this;
        var page;
        var fade;
        
        _this.pageIdx=idx;
        page = _this.pages[_this.pageIdx];
        
        if (! page) {
          new Tonyu.classes.user.Result();
          return _this;
          
        }
        fade = new Tonyu.classes.kernel.FadeEffect({type: "out",fillStyle: "white",duration: 30});
        
        fade.on("complete",(function anonymous_435() {
          
          _this.loadPage(page,{},{onLoad: (function anonymous_475() {
            
            new Tonyu.classes.kernel.FadeEffect({type: "in",fillStyle: "white",duration: 30});
            new Tonyu.classes.user.PopText({x: 150,y: 250,text: "Stage "+(_this.pageIdx+1)+" Start",size: 32,sections: [60,120]});
            new Tonyu.classes.user.UI();
          })});
        }));
        
      },
      next :function _trc_StageUtils_next(_page) {
        var _this=this;
        var page;
        var fade;
        
        Tonyu.globals.$nowStage.player.die();
        if (_this.pages) {
          return _this.moveTo(_this.pageIdx+1);
          
        }
        page = _page||(_this.pages&&_this.pages[_this.pageIdx+1])||Tonyu.globals.$nowStage.nextStage;
        
        fade = new Tonyu.classes.kernel.FadeEffect({type: "out",fillStyle: "white",duration: 30});
        
        fade.on("complete",(function anonymous_1012() {
          
          _this.loadPage(page,{},{onLoad: (function anonymous_1052() {
            
            new Tonyu.classes.kernel.FadeEffect({type: "in",fillStyle: "white",duration: 30});
          })});
        }));
      },
      fiber$next :function* _trc_StageUtils_f_next(_thread,_page) {
        var _this=this;
        var page;
        var fade;
        
        Tonyu.globals.$nowStage.player.die();
        if (_this.pages) {
          return _this.moveTo(_this.pageIdx+1);
          
        }
        page = _page||(_this.pages&&_this.pages[_this.pageIdx+1])||Tonyu.globals.$nowStage.nextStage;
        
        fade = new Tonyu.classes.kernel.FadeEffect({type: "out",fillStyle: "white",duration: 30});
        
        fade.on("complete",(function anonymous_1012() {
          
          _this.loadPage(page,{},{onLoad: (function anonymous_1052() {
            
            new Tonyu.classes.kernel.FadeEffect({type: "in",fillStyle: "white",duration: 30});
          })});
        }));
        
      },
      gameOver :function _trc_StageUtils_gameOver() {
        var _this=this;
        
        Tonyu.globals.$nowStage.player.x=Tonyu.globals.$nowStage.px;
        Tonyu.globals.$nowStage.player.y=Tonyu.globals.$nowStage.py;
        Tonyu.globals.$score++;
      },
      fiber$gameOver :function* _trc_StageUtils_f_gameOver(_thread) {
        var _this=this;
        
        Tonyu.globals.$nowStage.player.x=Tonyu.globals.$nowStage.px;
        Tonyu.globals.$nowStage.player.y=Tonyu.globals.$nowStage.py;
        Tonyu.globals.$score++;
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}},"new":{"nowait":false,"isMain":false,"vtype":{"params":[null],"returnValue":null}},"newStageList":{"nowait":false,"isMain":false,"vtype":{"params":[null],"returnValue":null}},"moveTo":{"nowait":false,"isMain":false,"vtype":{"params":[null],"returnValue":null}},"next":{"nowait":false,"isMain":false,"vtype":{"params":[null],"returnValue":null}},"gameOver":{"nowait":false,"isMain":false,"vtype":{"params":[],"returnValue":null}}},"fields":{"pages":{},"pageIdx":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Title',
  shortName: 'Title',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Title_main() {
        var _this=this;
        
        _this.p=- 1;
        new Tonyu.classes.user.SLabel({x: _this.x,y: _this.y,text: ['魚を操作して横断歩道を渡ります\n\nジャンプして白い所を渡って行こう！\n\n黒い所に触れると爆発して刺身になります\n\n'].join(''),layer: Tonyu.globals.$mainLayer,size: 16});
      },
      fiber$main :function* _trc_Title_f_main(_thread) {
        var _this=this;
        
        _this.p=- 1;
        new Tonyu.classes.user.SLabel({x: _this.x,y: _this.y,text: ['魚を操作して横断歩道を渡ります\n\nジャンプして白い所を渡って行こう！\n\n黒い所に触れると爆発して刺身になります\n\n'].join(''),layer: Tonyu.globals.$mainLayer,size: 16});
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.UI',
  shortName: 'UI',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_UI_main() {
        var _this=this;
        
        _this.shareui = false;
        
        new Tonyu.classes.kernel.HTMLUI({content: ["div",{style: "background: #46f;"},["label","音量bgm"],["input",{type: "range",value: 100*Tonyu.globals.$bgmvol,onchange: (function anonymous_156(e) {
          
          Tonyu.globals.$sound.setBGMVolume(e.target.value/100*128);
          Tonyu.globals.$bgmvol=e.target.value/100;
        })}],["label","se"],["input",{type: "range",value: Tonyu.globals.$sevol*100,onchange: (function anonymous_323(e) {
          
          Tonyu.globals.$sevol=e.target.value/100;
        })}],["button",{style: " height:2rem; ",onclick: (function anonymous_419() {
          
          if (! _this.shareui) {
            _this.shareui=new Tonyu.classes.user.UIShare();
            
          } else {
            _this.shareui.die();
            _this.shareui=false;
            
          }
        })},"共有/戻る"]],left: 0,top: 460,width: 500,height: 40});
        new Tonyu.classes.user.SLabel({x: 250,y: 12,text: ['BGM:優日のすたるじっく - 夏の群青と炭酸ソーダ'].join(''),size: 12});
      },
      fiber$main :function* _trc_UI_f_main(_thread) {
        var _this=this;
        
        _this.shareui = false;
        
        new Tonyu.classes.kernel.HTMLUI({content: ["div",{style: "background: #46f;"},["label","音量bgm"],["input",{type: "range",value: 100*Tonyu.globals.$bgmvol,onchange: (function anonymous_156(e) {
          
          Tonyu.globals.$sound.setBGMVolume(e.target.value/100*128);
          Tonyu.globals.$bgmvol=e.target.value/100;
        })}],["label","se"],["input",{type: "range",value: Tonyu.globals.$sevol*100,onchange: (function anonymous_323(e) {
          
          Tonyu.globals.$sevol=e.target.value/100;
        })}],["button",{style: " height:2rem; ",onclick: (function anonymous_419() {
          
          if (! _this.shareui) {
            _this.shareui=new Tonyu.classes.user.UIShare();
            
          } else {
            _this.shareui.die();
            _this.shareui=false;
            
          }
        })},"共有/戻る"]],left: 0,top: 460,width: 500,height: 40});
        new Tonyu.classes.user.SLabel({x: 250,y: 12,text: ['BGM:優日のすたるじっく - 夏の群青と炭酸ソーダ'].join(''),size: 12});
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}}},"fields":{"shareui":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Utils',
  shortName: 'Utils',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Utils_main() {
        var _this=this;
        
      },
      fiber$main :function* _trc_Utils_f_main(_thread) {
        var _this=this;
        
        
      },
      lerp :function _trc_Utils_lerp(orig,target,ratio) {
        var _this=this;
        var diff;
        
        ratio=ratio<=1?ratio:1;
        diff = target-orig;
        
        if (_this.abs(diff)>0.1) {
          return diff*ratio+orig;
          
        } else {
          return diff+orig;
          
        }
      },
      fiber$lerp :function* _trc_Utils_f_lerp(_thread,orig,target,ratio) {
        var _this=this;
        var diff;
        
        ratio=ratio<=1?ratio:1;
        diff = target-orig;
        
        if (_this.abs(diff)>0.1) {
          return diff*ratio+orig;
          
        } else {
          return diff+orig;
          
        }
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}},"lerp":{"nowait":false,"isMain":false,"vtype":{"params":[null,null,null],"returnValue":null}}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.White',
  shortName: 'White',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_White_main() {
        var _this=this;
        
        while (1) {
          Tonyu.checkLoop();
          _this.update();
          
        }
      },
      fiber$main :function* _trc_White_f_main(_thread) {
        var _this=this;
        
        while (1) {
          yield null;
          (yield* _this.fiber$update(_thread));
          
        }
        
      },
      initialize :function _trc_White_initialize(o) {
        var _this=this;
        
        __superClass.apply( _this, [o]);
        _this.fillStyle=new Tonyu.classes.kernel.Color(255,255,255,255);
        _this.zOrder=10;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}},"new":{"nowait":false,"isMain":false,"vtype":{"params":[null],"returnValue":null}}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Zangai',
  shortName: 'Zangai',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Zangai_main() {
        var _this=this;
        
        _this.zOrder=1;
        for (_this.i = 0;
         _this.i<3 ; _this.i++) {
          Tonyu.checkLoop();
          {
            new Tonyu.classes.user.FxParticle({x: _this.x,y: _this.y,vx: (_this.rnd(11)-5)*0.5,vy: (_this.rnd(11)-5)*0.5,t: 60});
          }
        }
        while (1) {
          Tonyu.checkLoop();
          _this.update();
          
        }
      },
      fiber$main :function* _trc_Zangai_f_main(_thread) {
        var _this=this;
        
        _this.zOrder=1;
        for (_this.i = 0;
         _this.i<3 ; _this.i++) {
          yield null;
          {
            new Tonyu.classes.user.FxParticle({x: _this.x,y: _this.y,vx: (_this.rnd(11)-5)*0.5,vy: (_this.rnd(11)-5)*0.5,t: 60});
          }
        }
        while (1) {
          yield null;
          (yield* _this.fiber$update(_thread));
          
        }
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}}},"fields":{"i":{}}}
});
Tonyu.klass.define({
  fullName: 'user.UIShare',
  shortName: 'UIShare',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_UIShare_main() {
        var _this=this;
        
        _this.shareText = "Stage "+(Tonyu.globals.$StageUtils.pageIdx+1)+" まで到達！ 刺身になった回数: "+Tonyu.globals.$score;
        
        _this.ui=new Tonyu.classes.kernel.HTMLUI({content: ["div",{style: "width: 100%"},["textarea",{style: "width: 100%",name: "shareText",rows: "3",onfocus: (function anonymous_241(e) {
          
          e.target.select();
        })},"横断魚道 "+_this.shareText+" #ahoge "+window.location.href],["button",{style: "width: 100%; height:2rem; ",onclick: (function anonymous_389() {
          
          _this.text=_this.ui.getValue("shareText");
          navigator.clipboard.writeText(_this.text).then((function anonymous_540() {
            
            new Tonyu.classes.user.PopText({x: 250,y: 250,size: 28,text: "Copied!"});
          }),(function anonymous_616() {
            
            new Tonyu.classes.user.PopText({x: 250,y: 250,size: 28,text: "コピー失敗"});
          })).catch((function anonymous_697() {
            
            new Tonyu.classes.user.PopText({x: 250,y: 250,size: 28,text: "コピー失敗"});
          }));
        })},"Copy"],["div",{style: "padding:1.5rem;"}],["button",{style: "width: 100%; height:2rem; ",onclick: (function anonymous_862() {
          
          Tonyu.globals.$score=0;
          Tonyu.globals.$StageUtils.moveTo(0);
          _this.die();
        })},"最初からやり直す"]],left: 100,top: 220,width: 300,height: 200,lifeKeeper: _this});
      },
      fiber$main :function* _trc_UIShare_f_main(_thread) {
        var _this=this;
        
        _this.shareText = "Stage "+(Tonyu.globals.$StageUtils.pageIdx+1)+" まで到達！ 刺身になった回数: "+Tonyu.globals.$score;
        
        _this.ui=new Tonyu.classes.kernel.HTMLUI({content: ["div",{style: "width: 100%"},["textarea",{style: "width: 100%",name: "shareText",rows: "3",onfocus: (function anonymous_241(e) {
          
          e.target.select();
        })},"横断魚道 "+_this.shareText+" #ahoge "+window.location.href],["button",{style: "width: 100%; height:2rem; ",onclick: (function anonymous_389() {
          
          _this.text=_this.ui.getValue("shareText");
          navigator.clipboard.writeText(_this.text).then((function anonymous_540() {
            
            new Tonyu.classes.user.PopText({x: 250,y: 250,size: 28,text: "Copied!"});
          }),(function anonymous_616() {
            
            new Tonyu.classes.user.PopText({x: 250,y: 250,size: 28,text: "コピー失敗"});
          })).catch((function anonymous_697() {
            
            new Tonyu.classes.user.PopText({x: 250,y: 250,size: 28,text: "コピー失敗"});
          }));
        })},"Copy"],["div",{style: "padding:1.5rem;"}],["button",{style: "width: 100%; height:2rem; ",onclick: (function anonymous_862() {
          
          Tonyu.globals.$score=0;
          Tonyu.globals.$StageUtils.moveTo(0);
          _this.die();
        })},"最初からやり直す"]],left: 100,top: 220,width: 300,height: 200,lifeKeeper: _this});
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}}},"fields":{"shareText":{},"ui":{}}}
});

});

//# sourceMappingURL=concat.js.map